Name: numactl
Version: 2.0.16
Release: 8
Summary: Library for tuning for Non Uniform Memory Access machines
License: GPLv2
URL: https://github.com/numactl/numactl
Source0: https://github.com/numactl/numactl/releases/download/v%{version}/numactl-%{version}.tar.gz
BuildRequires: libtool automake autoconf 

Patch0001: 0001-libnuma-clear-errno-at-the-end-of-numa_init.patch
Patch0002: 0002-numactl-Fix-shm-verfiy-for-preferred-policy.patch
Patch0003: 0003-numactl-numactl-length-xxx-shm-xxx-px-doesn-t-work.patch
Patch0004: 0004-fix-wrong-nodemask_sz-when-CONFIG_NODES_SHIFT-is-les.patch
Patch0005: 0005-numactl.c-Remove-unused-variable.patch
Patch0006: 0006-numactl.c-Fix-merging-of-neighboring-pages-policies-.patch
Patch0007: 0007-shm.c-Replace-stat64-fstat64-ftruncate64mmap64-with-.patch
Patch0008: 0008-numastat-Update-system-hugepages-memory-info-from-sy.patch
Patch0009: 0009-riscv64-remove-flag-latomic.patch

%description
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma shared library  to set
NUMA policy in applications.

%package libs
Summary: libnuma libraries
License: LGPLv2 and GPLv2

%description libs
Libs for numa policy support

%package devel
Summary: Development package for building Applications that use numa
Requires: %{name}-libs = %{version}-%{release}
License: LGPLv2 and GPLv2

%description devel
Development package for numa library calls

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%disable_rpath
%make_build CFLAGS="$RPM_OPT_FLAGS -I."

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%check
# test-suites need current-build dynamic libray,
# so we export LD_LIBRARY_PATH for find it.
LD_LIBRARY_PATH=$(pwd)/.libs make check

%ldconfig_scriptlets
%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_mandir}/man8/*.8*
%doc README.md
%exclude %{_mandir}/man2/*.2*

%files libs
%{_libdir}/libnuma.so.1
%{_libdir}/libnuma.so.1.0.0
%exclude %{_libdir}/libnuma.a
%exclude %{_libdir}/libnuma.la

%files devel
%{_libdir}/libnuma.so
%{_libdir}/pkgconfig/numa.pc
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man3/*.3*

%changelog
* Wed Jul 19 2023 laokz <zhangkai@iscas.ac.cn> - 2.0.16-8
- Makefile: remove redundant -latomic flag for riscv64

* Sun Jun 25 2023 wuxu <wuxu.wu@huawei.com> - 2.0.16-7
- numastat: Update system hugepages memory info from sysfs/node/hugepages directory

* Tue Jun 20 2023 wuxu <wuxu.wu@huawei.com> - 2.0.16-6
- shm.c: Replace stat64/fstat64/ftruncate64mmap64 with normal functions

* Mon Jun 19 2023 wuxu <wuxu.wu@huawei.com> - 2.0.16-5
- numactl.c: Fix merging of neighboring pages' policies in dump_shm and remove unused variable

* Mon Jun 19 2023 wuxu <wuxu.wu@huawei.com> - 2.0.16-4
- fix wrong nodemask_sz when CONFIG_NODES_SHIFT is less than 5

* Fri Dec 16 2022 lijianglin <lijianglin2@huawei.com> - 2.0.16-3
- fix the problem of some commands of memhog, migspeed and numactl failed to execute

* Wed Nov 9 2022 Chunsheng Luo<luochunsheng@huawei.com> - 2.0.16-2
- delete unused patches

* Wed Nov 9 2022 Chunsheng Luo<luochunsheng@huawei.com> - 2.0.16-1
- update version to 2.0.16

* Tue Feb 8 2022 zhouwenpei<zhouwenpei1@h-partners.com> - 2.0.14-2
- fix segmentation fault with --offset and output wrong result with --verify 

* Tue Nov 30 2021 zhouwenpei<zhouwenpei1@huawei.com> - 2.0.14-1
- upgrade version to 2.0.14

* Thu Aug 26 2021 Chunsheng Luo <luochunsheng@huawei.com> - 2.0.13-6
- DESC: enable make check

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.0.13-5
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Fri Jan 10 2020 yuxiangyang<yuxiangyang4@huawei.com> - 2.0.13-4
- upgrade version to 2.0.13

* Fri Dec 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.12-3
- Fix ldconfig scriptlets

* Thu Mar 21 2019 lihongjiang<lihongjiang6@huawei.com> - 2.0.12-2
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:backport patches

* Mon Sep 10 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.0.12-1
- Package init
